Skip Navigation
Expand
Unable to check Excel version. Excel must be installed for Excel exports.
Answer ID 6944   |   Last Review Date 03/06/2019

Why are one or more agents receiving the error "Unable to check Excel version. Excel must be installed for Excel exports." when trying to export a report?

Environment:

All versions of the Oracle B2C Service agent console
Supported versions of Microsoft Excel

NOTE: Microsoft Office 365 and online subscription version of Office are not supported.

Resolution:

In order to export reports from the Oracle B2C Service agent console into Microsoft Excel you must first have a supported version of Excel installed on your workstation. Please see the system requirements for your current version of Oracle B2C Service:  Oracle B2C Service Infrastructure Requirements.

When exporting a report (Export > Excel) from the ribbon, the Oracle B2C Service agent console performs a check to make sure a compatible version of Excel is installed. It does that by checking the Excel executable installed with Microsoft Office.

This check can fail under one or more of the following conditions:

- The executable does not exist or has become corrupt. Check to make sure that a supported version of Microsoft Office has been installed correctly, or reinstall Microsoft Office as necessary.

- The program is installed in a location other than the default C:\Program Files\ folder

- An individual Office component (such as Lync or Visio) was recently upgraded on the workstation which changed the directory folder for other Office components (for example "Office14" to "Office15"). In this scenario it will be necessary to uninstall the upgraded component, then uninstall and reinstall Microsoft Office in order to restore the original folder structure.

Available Languages for this Answer:

Notify Me
The page will refresh upon submission. Any pending input will be lost.